embed {stats} | R Documentation

## Embedding a Time Series

### Description

Embeds the time series `x` into a low-dimensional Euclidean space.

### Usage

    embed (x, dimension = 1)

### Arguments

`x` | a numeric vector, matrix, or time series.
`dimension` | a scalar representing the embedding dimension.

### Details

Each row of the resulting matrix consists of sequences `x[t]`, `x[t-1]`, ..., `x[t-dimension+1]`, where `t` is the original index of `x`. If `x` is a matrix, i.e., `x` contains more than one variable, then `x[t]` consists of the `t`th observation on each variable.

### Value

A matrix containing the embedded time series `x`.

### Author(s)

A. Trapletti, B.D. Ripley

### Examples

    x <- 1:10
    embed (x, 3)

[Package stats version 2.2.1 Index]